# Namespace: internal

## Classes

- [StoreGetProductsPaginationParams](../classes/internal-46.StoreGetProductsPaginationParams.md)
- [StoreGetProductsParams](../classes/internal-46.StoreGetProductsParams.md)
- [StorePostSearchReq](../classes/internal-46.StorePostSearchReq.md)

## Type Aliases

### StorePostSearchRes

Ƭ **StorePostSearchRes**: `Object`

#### Index signature

▪ [k: `string`]: `unknown`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `hits` | `unknown`[] |

#### Defined in

medusa/dist/api/routes/store/products/index.d.ts:13

___

### StoreProductsListRes

Ƭ **StoreProductsListRes**: [`PaginatedResponse`](internal-2.md#paginatedresponse) & { `products`: [`Product`](../classes/internal.Product.md)[]  }

#### Defined in

medusa/dist/api/routes/store/products/index.d.ts:17

___

### StoreProductsRes

Ƭ **StoreProductsRes**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `product` | [`Product`](../classes/internal.Product.md) |

#### Defined in

medusa/dist/api/routes/store/products/index.d.ts:10
